'use client';

import { extendVariants, Button as NextButton } from '@heroui/react';
const Button = extendVariants(NextButton, {
  variants: {
    size: {
      sm: 'rounded-full font-light',
      md: 'rounded-full font-light',
      lg: 'rounded-full font-light'
    },
    color: {
      default:
        'border-[1.2px] bg-origin-border bg-background data-[hover=true]:border-transparent data-[hover=true]:before:bg-primary-800 data-[hover=true]:text-background data-[hover=true]:bg-[linear-gradient(90deg,#CC93D3_0%,#793BE0_100%)] before:content-[""] before:absolute before:inset-0 before:-z-10 dark:bg-foreground dark:data-[hover=true]:before:bg-primary-800 dark:data-[hover=true]:text-foreground data-[hover=true]:!duration-[600ms] dark:text-background',
      primary:
        'border-[1.2px] bg-origin-border border-transparent bg-[linear-gradient(90deg,#CC93D3_0%,#793BE0_100%)] before:content-[""] before:absolute before:inset-0 before:bg-primary-800/95 before:-z-10 data-[hover=true]:!duration-[500ms] data-[hover=true]:bg-primary-800 data-[hover=true]:border-primary-800'
    },
    variant: {
      ghost:
        'dark:text-foreground data-[hover=true]:before:bg-primary-800 before:bg-background'
    }
  },
  defaultVariants: {
    color: 'primary',
    size: 'lg'
  }
});
export default Button;
