import type { Meta, StoryObj } from '@storybook/react';
import CheckBoxComponent from './CheckBox';

const meta: Meta<typeof CheckBoxComponent> = {
  title: 'Base/CheckBox',
  component: CheckBoxComponent,
  tags: ['autodocs']
};

export default meta;

type Story = StoryObj<typeof meta>;

export const CheckBox: Story = {
  render: () => (
    <CheckBoxComponent>
      I have read and understood the Privacy Policy
    </CheckBoxComponent>
  )
};
