import type { Meta, StoryObj } from '@storybook/react';
import PhoneInputComponent from './PhoneInput';

const meta: Meta<typeof PhoneInputComponent> = {
  title: 'Base/PhoneInput',
  component: PhoneInputComponent,
  tags: ['autodocs']
};

export default meta;

type Story = StoryObj<typeof meta>;

export const PhoneInput: Story = {
  args: {
    isInValid: false,
    label: 'Mobile'
  }
};
