import type { Meta, StoryObj } from '@storybook/react';
import TextFieldComponent from './TextField';

const meta: Meta<typeof TextFieldComponent> = {
  title: 'Base/TextField',
  component: TextFieldComponent,
  tags: ['autodocs']
};

export default meta;

type Story = StoryObj<typeof meta>;

export const TextField: Story = {
  render: () => (
    <div>
      <TextFieldComponent label="Email" type="email" />
      <TextFieldComponent label="Email with error" type="email" isInvalid />
    </div>
  )
};
