const labels: { form: IFormLabels } = {
  form: {
    title: 'Title*',
    firstName: 'First Name*',
    lastName: 'Last Name*',
    email: 'Email*',
    mobile: 'Mobile*',
    company: 'Company*',
    date: 'Date*',
    session: 'Session Time*',
    budget: 'Budget',
    residence: 'Country of Resident',
    unitSize: 'Unit Size',
    unitType: 'Unit Type*',
    purpose: 'What is the purpose of buying?*',
    terms:
      'I have read and understood the <a href="https://privacy-center.majidalfuttaim.com/client/2d5739a0-dda3-4b4a-a445-c058ae6dd4eb?lang=en&country=AE#/privacy-notice" target="_blank">Privacy Policy</a>',
    clearButtonLabel: 'CLEAR',
    submitButtonLabel: 'SUBMIT',
    errorTitleRequired: 'Please select a title',
    errorFirstNameRequired: 'Please enter your first name',
    errorFirstNameInvalid: 'Please enter letters only',
    errorLastNameRequired: 'Please enter your last name',
    errorLastNameInvalid: 'Please enter letters only',
    errorEmailRequired: 'Please enter your email address',
    errorEmailInvalid: 'Please enter a valid email address',
    errorMobileRequired: 'Please enter your mobile number',
    errorMobileInvalid: 'Please enter a valid mobile number',
    errorCompanyRequired: 'Please enter your company name',
    errorTermsRequired: 'Please accept the terms and conditions',
    errorDateRequired: 'Please select a date',
    errorSessionRequired: 'Please select a session time',
    errorPurposeRequired: 'Please select your Purpose of the Buying',
    errorUnitTypeRequired: 'Please select a unit',
    errorRecaptchaRequired: 'Please complete the reCAPTCHA verification',
    formSuccessText:
      'Form submitted successfully. Thank you for your interest.',
    formErrorText: 'Form submission failed! Please try again.'
  }
};

export default labels;
