export default {
  light: {
    colors: {
      default: {
        50: '#F0F0F0',
        100: '#E3E3E3',
        200: '#C7C7C7',
        300: '#ABABAB',
        400: '#8F8F8F',
        500: '#707070',
        600: '#545454',
        700: '#383838',
        800: '#1C1C1C',
        900: '#000000'
      },
      primary: {
        '50': '#efeffb',
        '100': '#ced0e3',
        '200': '#afb1cf',
        '300': '#8e92ba',
        '400': '#6f73a7',
        '500': '#55598e',
        '600': '#42466f',
        '700': '#2f324f',
        '800': '#1c1e31',
        '900': '#080a15',
        foreground: '#ffffff',
        DEFAULT: '#1c1e31'
      },
      secondary: {
        '50': '#f2e7ff',
        '100': '#d3bcf9',
        '200': '#b490f0',
        '300': '#9665e8',
        '400': '#7839e0',
        '500': '#5e1fc6',
        '600': '#49179b',
        '700': '#341070',
        '800': '#1f0845',
        '900': '#0c011c',
        foreground: '#ffffff',
        DEFAULT: '#7839e0'
      }
    }
  },
  dark: {
    colors: {
      default: {
        900: '#E3E3E3',
        800: '#C7C7C7',
        700: '#ABABAB',
        600: '#8F8F8F',
        500: '#707070',
        400: '#545454',
        300: '#383838',
        200: '#1C1C1C',
        100: '#09090e',
        50: '#000000'
      },
      primary: {
        '50': '#efeffb',
        '100': '#ced0e3',
        '200': '#afb1cf',
        '300': '#8e92ba',
        '400': '#6f73a7',
        '500': '#55598e',
        '600': '#42466f',
        '700': '#2f324f',
        '800': '#1c1e31',
        '900': '#080a15',
        foreground: '#ffffff',
        DEFAULT: '#1c1e31'
      },
      secondary: {
        '50': '#f2e7ff',
        '100': '#d3bcf9',
        '200': '#b490f0',
        '300': '#9665e8',
        '400': '#7839e0',
        '500': '#5e1fc6',
        '600': '#49179b',
        '700': '#341070',
        '800': '#1f0845',
        '900': '#0c011c',
        foreground: '#ffffff',
        DEFAULT: '#1c1e31'
      }
    }
  }
};
